import { Filters, SearchPreset_Entity } from "@nerdjs/nerd-core";
import { ReactElement } from "react";
export type AdvancedSearchProps = {
    definitions: AdvancedSearchDefinition[];
    open?: boolean;
    setOpen?: (o: boolean) => void;
    searchMetadata?: AdvancedSearchDefinition[];
    variant?: "toolbar" | "dialog";
    buttonFaIcon?: string;
    buttonLabel?: string;
    refreshPending?: boolean;
    searchPresets?: SearchPreset_Entity[];
    currentUserUUID?: string;
    onRefresh: (q: {
        [key: string]: unknown;
    }) => void;
    onFilterChange?: (filter: string | null) => void;
    onNewSearchPreset?: (searchPreset: Partial<SearchPreset_Entity>) => void;
    hidePresets?: boolean;
    itemsPerPage?: number;
};
export type AdvancedSearchDefinition = {
    id: string | number;
    label: string;
    name: string;
    type: AdvancedSearchBaiscTypes;
    faIcon?: string;
    width?: number;
    renderInput?: <T>(value: T, onChange: (newValue: boolean | string | number | undefined) => void) => ReactElement;
    getFaIcon?: (v: string | boolean | number) => string;
} | {
    id: string | number;
    label: string;
    name: string;
    type: "singleSelect";
    faIcon?: string;
    width?: number;
    renderInput?: <T>(value: T, onChange: (newValue: boolean | string | number | undefined) => void) => ReactElement;
    getFaIcon?: (v: string | boolean | number) => string;
    valueOptions: {
        option: ReactElement | string;
        value: string | number;
    }[];
};
export type SearchableProps = {
    index: number;
    onDelete: (i: number) => void;
    definition?: AdvancedSearchDefinition;
    filters: Filters;
    onFiltersChange: (newFilters: Filters) => void;
};
export type AdvancedSearchBaiscTypes = "int" | "bool" | "date" | "string";
