import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box, Button, Typography } from "@mui/material";
function GridRow({ handleButtonPressed, rowNumber, buttonType, text, }) {
    const row = [];
    for (let i = 0; i < 3; i++) {
        row.push(_jsx(EntryCodeButton, { handleButtonPressed: handleButtonPressed, buttonType: buttonType[i], selectedNumber: rowNumber == 3 ? 0 : rowNumber * 3 + i + 1, text: text[i] }, i));
    }
    return (_jsx(Box, { sx: {
            display: "flex",
            gap: 2,
            marginBottom: 2,
            justifyContent: "center",
        }, children: row }));
}
function EntryCodeButton({ handleButtonPressed, buttonType, selectedNumber, text, }) {
    const handleButtonClick = () => {
        handleButtonPressed(selectedNumber, buttonType);
    };
    return (_jsx(Button, { variant: "outlined", style: {
            width: "60px",
            minWidth: "60px",
            height: "60px",
            minHeight: "60px",
            borderRadius: "50%",
            padding: 0,
            backgroundColor: "#e2e2e2",
            border: "none",
            boxShadow: "rgba(50, 50, 93, 0.25) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px",
        }, onClick: handleButtonClick, children: _jsx(ButtonContent, { buttonType: buttonType, selectedNumber: selectedNumber, text: text }) }));
}
function ButtonContent({ buttonType, selectedNumber, text, }) {
    if (buttonType === "number") {
        return (_jsxs(Box, { children: [_jsx(Typography, { variant: "h4", lineHeight: 1, fontFamily: "sans-serif", children: selectedNumber }), _jsxs(Typography, { fontSize: "0.75rem", fontFamily: "sans-serif", children: ["\u00A0", text, "\u00A0"] })] }));
    }
    if (buttonType === "clear") {
        return (_jsx(Box, { sx: { display: "flex" }, children: _jsx("i", { style: { fontSize: 25, color: "#000000de" }, className: "fa-solid fa-x" }) }));
    }
    if (buttonType === "delete") {
        return (_jsx(Box, { sx: { display: "flex" }, children: _jsx("i", { style: { fontSize: 25, color: "#000000de", paddingRight: 3 }, className: "fa-regular fa-delete-left" }) }));
    }
    return _jsx("div", {});
}
export default function NerdKeyPad({ handleButtonPressed, }) {
    const layout = [
        {
            rowNumber: 0,
            buttonType: ["number", "number", "number"],
            text: ["", "A B C", "D E F"],
        },
        {
            rowNumber: 1,
            buttonType: ["number", "number", "number"],
            text: ["G H I", "J K L", "M N O"],
        },
        {
            rowNumber: 2,
            buttonType: ["number", "number", "number"],
            text: ["P Q R S", "T U V", "W X Y Z"],
        },
        {
            rowNumber: 3,
            buttonType: ["clear", "number", "delete"],
            text: ["", "+", ""],
        },
    ];
    return (_jsx(Box, { children: layout.map((i) => (_jsx(GridRow, { handleButtonPressed: handleButtonPressed, rowNumber: i.rowNumber, buttonType: i.buttonType, text: i.text }, i.rowNumber))) }));
}
